Package Details: vlc-nightly 4.0.0v20190707-1

Git Clone URL: https://aur.archlinux.org/vlc-nightly.git (read-only)
Package Base: vlc-nightly
Description: Multi-platform MPEG, VCD/DVD, and DivX player - nightly snapshot
Upstream URL: https://nightlies.videolan.org/
Licenses: GPL2, LGPL2.1
Conflicts: vlc, vlc-plugin
Provides: vlc
Replaces: vlc-plugin
Submitter: Xavion
Maintainer: SolarAquarion (Martchus)
Last Packager: SolarAquarion
Votes: 19
Popularity: 0.580408
First Submitted: 2013-01-07 21:00
Last Updated: 2019-07-08 12:53

Dependencies (162)

Required by (106)

Sources (4)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 Next › Last »

Martchus commented on 2018-02-04 22:06

@bm456 Note that there's an update.sh script which allows to update this package automatically. So there's no reason to flag this package unless this script does not work anymore (eg. because some URLs or dependencies changed).

Tazmain commented on 2018-01-13 14:03

Okay I managed to get it compling I had libaom-git installed that provided the headers that make the build fail. After removing that package the build went ahead and passed.

Tazmain commented on 2018-01-13 11:01

I don't have aom installed either, but it seems to be needed to build. Could it be added a dependency?

Martchus commented on 2018-01-11 14:07

@shrinathk This package is built with a little bit more features enabled than the regular package. Those 'missing' dependencies are AUR packages as well.

shrinathk commented on 2018-01-11 13:43

I think the dependencies need to be updated. Got the following error while installing.

[user@user-laptop vlc-nightly]$ makepkg -sri ==> Making package: vlc-nightly 4.0.0v20171220-1 (Thu Jan 11 16:55:50 IST 2018) ==> Checking runtime dependencies... ==> Installing missing dependencies... [sudo] password for user: error: target not found: sidplay2-libs error: target not found: daala-git error: target not found: sndio ==> ERROR: 'pacman' failed to install missing dependencies.

Martchus commented on 2017-12-23 17:13

@Dark-Sky I have aom not installed in my build environment and hence never saw this error. If you don't need aom support in vlc, it is probably the best to do the same.

Dark-Sky commented on 2017-12-23 05:32

It appears that my /usr/include/aom headers are out of date. I tried to install aom from AUR but in the first place I do not think the author has actually compiled it; he has 3 mistakes in his PKGBUILD. After I got it compiled it would not install because several vp9 and such was already installed so evidently the aom headers are also installed in another package. Long story short I disabled lines 211, 212 and 214 in vlc-nightly/src/vlc-4.0.0-dev/modules/codec/aom.c and it went ahead and compiled.

// case AOM_CS_BT_2020_CL: // case AOM_CS_BT_2020_NCL: // break;

Dark-Sky commented on 2017-12-23 04:43

I get a similar error as Tazmain:

codec/aom.c: In function 'Decode': ERROR : codec/aom.c:211: 14: 'AOM_CS_BT_2020_CL' undeclared (first use in this function); did you mean 'AOM_CS_BT_2020'? case AOM_CS_BT_2020_CL: ^~~~~~~~~~~~~~~~~ AOM_CS_BT_2020 codec/aom.c:211:14: note: each undeclared identifier is reported only once for each function it appears in ERROR : codec/aom.c:212: 14: 'AOM_CS_BT_2020_NCL' undeclared (first use in this function); did you mean 'AOM_CS_BT_2020_CL'? case AOM_CS_BT_2020_NCL: ^~~~~~~~~~~~~~~~~~ AOM_CS_BT_2020_CL

Martchus commented on 2017-12-09 20:13

@Tazmain For me, 4.0.0v20171130-1 has built successfully. I always tests before updating the package. So maybe an issue on your end?

I'll update the package, maybe this resolves your error, too.

EDIT: Updated to 4.0.0v20171209, builds for me and seems to run fine.

Tazmain commented on 2017-12-09 19:56

I cannot build for 2 weeks now, I keep getting an issue with aom_config.h

/usr/include/aom/aom_image.h:38:10: fatal error: ./aom_config.h: No such file or directory #include "./aom_config.h"